%define momorel 3

Summary: Dynamic library for the IJS printer driver plug-in interface
Name: ijs

Version: 0.34
Release: %{momorel}m
License: MIT/X
Group: System Environment/Libraries
URL: http://www.linuxprinting.org/ijs/

%NoSource 0 http://www.linuxprinting.org/ijs/download/%{name}-%{version}.tar.gz 9f6b7cfac8dbaddda9f6c90f06a0d699

Patch0: ijs-0.34-examples.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Conflicts: ghostscript <= 7.05-1m
Conflicts: ghostscript-devel <= 7.05-1m

%description
This is the API library for programs using the IJS printer driver
plug-in interface. Printer drivers using this interface can be added
to GhostScript (6.53 or newer) without needing to rebuild
GhostScript. Application programs providing an IJS interface can make
use of IJS printer drivers directly, without needing GhostScript.

%package devel
Summary: Header files and static library for development with ijs
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the static library and the header files needed
to compile applications using this library.

%prep
%setup -q
%patch -p0 -b .examples~

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_libdir}
%__mkdir_p %{buildroot}%{_includedir}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_libdir}/*.so

%files devel
%defattr(-,root,root)
%doc ijs_spec.*
%{_bindir}/ijs-config
%{_bindir}/ijs*example
%{_libdir}/*.a
%{_includedir}/ijs

%changelog
* Wed Oct 29 2003 Kenta MURATA <muraken2@nifty.com>
- (0.34-3m)
- pretty spec file.

* Thu Oct 09 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (0.34-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Dec 23 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (0.34-2m)
- add IJS specification documentation (ijs_spec.*)

* Fri Dec 20 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (0.34-1m)
- initial revision (separated from ghostscript)
